Changeset ff139f0 for debian


Ignore:
Timestamp:
2011-04-22T15:55:21Z (8 years ago)
Author:
Wilmer van der Gaast <wilmer@…>
Branches:
master
Children:
a658f10
Parents:
2423c93
Message:

Don't put an epoch in the Debian "spoofed" version number. Debian's now
barfing on the "1:bzr-devel-xx" version numbers generated by the nightlies
builder (due to "bzr" not being a number) so I have to think of something
else.

The main reason for using epochs was so "bzr-devel-xx" will be considered
newer than "3.0.2". ASCII-wise this should be the case even without epochs
but okay, it made sense to do this anyway to avoid apple-orange comparisons.

Now I'll try switching to package version numbers like 3.0.2+devel+xx-0. No
need for epochs then, plus 3.0.3 will actually win over 3.0.2+devel+xx-0 when
it should.

This does probably mean that people who still have 1:bzr-something installed
won't be upgraded automatically, I guess I'll try to let everyone know via
Twitter, etc..

File:
1 edited

Legend:

Unmodified
Added
Removed
  • debian/rules

    r2423c93 rff139f0  
    9595        dh_shlibdeps
    9696ifdef BITLBEE_VERSION
    97         dh_gencontrol -- -v1:$(BITLBEE_VERSION)-0  -Vbee:Version=1:$(BITLBEE_VERSION)-0
     97        dh_gencontrol -- -v$(BITLBEE_VERSION)-0  -Vbee:Version=$(BITLBEE_VERSION)-0
    9898else
    9999        dh_gencontrol -- -Vbee:Version=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}' | sed -e 's/+b[0-9]\+$$//')
Note: See TracChangeset for help on using the changeset viewer.